# This is a very quick-and-dirty script to convert a TypeScript type definition (read from the clipboad) to Markdoen
# that can be edited and added to the documentation.

name = ""
firstComment = True

comment = ""
name = ""
type = ""

import tkinter

r = tkinter.Tk()
string = r.clipboard_get()
r.withdraw()
r.update()
r.destroy()


for line in string.split("\n"):

    if line.startswith("export"):
        line = line[7:]

    if line.startswith("type"):
        type_name = line.replace("type ", "").split(" = ")[0]
    elif line.startswith("interface"):
        type_name = line.replace("interface ", "").split(" = ")[0]
    elif line.startswith("  /**"):
        comment = ""

    elif line.startswith("   */"):
        pass

    elif line.startswith("   *"):
        comment += line[4:].strip()

    elif ":" in line:
        name, type = line.split(":")
        type = type.replace(";", "")
        type = type.replace("|", "\\|")

        if firstComment:
            print(f"## {type_name}\n")
            print(comment)
            firstComment = False
            print("\n")
            print(f"| Attribute | Type | Description | ")
            print("|-----------|------|-------------|")
        else:
            print(f"| {name} | {type} | {comment} |")

print(f"| {name} | {type} | {comment} |")
