// Function to join two objects
// motivating example is joining the IMDB data and becedel score data in the origraph movies example
const join = (array1, array2, field1, field2, fieldsToAdd) => {
    // adds values from array2 to entries in array1
    // first construct an index for second
    const extraValues = {};
    for (const row of array2) {
        extraValues[row[field2]] = row;
    }
    for (const row of array1) {
        const extraData = extraValues[row[field1]];
        if (fieldsToAdd) {
            for (const field of fieldsToAdd) {
                row[field] = extraData[field];
            }
        }
        else {
            Object.assign(row, extraData);
        }
    }
    return array1;
};
export { join };
//# sourceMappingURL=join.js.map