// this is inspired by origraph, rather than vega/vega-lite
const unroll = (data, spec) => {
    const output = {};
    for (const field of spec.fields) {
        output[field] = [];
    }
    for (const datum of data) {
        for (const field of spec.fields) {
            //  console.log({field, datum})
            output[field] = [...output[field], ...datum[field]];
        }
    }
    return output;
};
export { unroll };
//# sourceMappingURL=unroll.js.map