import { transformLayout } from "./layoutTransforms";
import { select } from "../data/select";
const computeDerivedLayout = (state, spec, bounds, funcs) => {
    const layout = select(state, spec.source);
    const axes = [];
    let l = layout;
    for (const layoutTransform of ((spec === null || spec === void 0 ? void 0 : spec.transform) || [])) {
        l = transformLayout(layoutTransform, spec, l, state, funcs);
    }
    return [l, axes];
};
export { computeDerivedLayout };
//# sourceMappingURL=derivedLayout.js.map