const removeIsolatedNodes = (network) => {
    const isolatedNodes = new Set(network.nodes);
    for (const link of network.links) {
        isolatedNodes.delete(link.source);
        isolatedNodes.delete(link.target);
    }
    network.nodes = network.nodes.filter(n => !isolatedNodes.has(n));
};
export { removeIsolatedNodes };
//# sourceMappingURL=removeIsolatedNodes.js.map