import { AddIndexSpec } from "../types/data-transforms";

const addIndex = (data, spec: AddIndexSpec) => {

  const indexField = spec.as ?? "index";

  for (let i = 0; i < data.length; i += 1) {
    data[i][indexField] = i;
  }

  return data;
};

export { addIndex };