import {foldData} from "./fold";


test("perform fold", () => {

    const data = [
        {id: 0, centrality: 2, degree: 1},
        {id: 1, centrality: 5, degree: 6},
    ];

    const foldedData = foldData(data, {fields: ["centrality", "degree"]});

    expect(foldedData.filter(d => d.id === 0 && d.field === "centrality")[0].value = 2)
    expect(foldedData.filter(d => d.id === 1 && d.field === "centrality")[0].value = 5)

    expect(foldedData.filter(d => d.id === 0 && d.field === "degree")[0].value = 1)
    expect(foldedData.filter(d => d.id === 1 && d.field === "degree")[0].value = 6)
})