import{calculateClusters} from "./cluster";

const nodes = [
    {id: 'a'},
    {id: 'b'},
    {id: 'c'},
    {id: 'd'},
];

const links = [
    {source: 'a', target: 'b'},
    {source: 'a', target: 'b'},
    {source: 'a', target: 'c'},
    {source: 'a', target: 'd'},
    {source: 'a', target: 'e'},

    {source: 'b', target: 'a'},
    {source: 'b', target: 'a'},
    {source: 'c', target: 'b'},
    {source: 'c', target: 'c'},
    {source: 'd', target: 'd'},

]

test("can compute louvain clustering", () => {
        calculateClusters(links, nodes, {method: 'louvain'});
        expect(nodes.every(n =>  typeof(n.louvain) === "number" )).toBe(true);
    }
)

