import { constructExpressionFunction } from "../data/calculate";
import { FilterEdgesSpec } from "../types/networkTransforms";


const filterEdges = (links, spec: FilterEdgesSpec, state) => {
    const f = constructExpressionFunction({calculate: spec.expression});
    return links.filter( l => f(l, null, state));
};

export {filterEdges}