import {layoutD3Force} from "./layoutD3force"

test("d3-force-directed layout runs", () => {

    const nodes = [
        {"id": "Alice"},
        {"id": "Bob"},
        {"id": "Carol"}
    ];

    const links = [
        {"source": "Alice", "target": "Bob"}, // Alice → Bob
        {"source": "Bob", "target": "Carol"} // Bob → Carol
    ];

    layoutD3Force(nodes, links, {})

    expect(nodes).toHaveLength(3);

    const allXcoordsNumbers = nodes.every(n => typeof(n.x) === 'number')
    expect(allXcoordsNumbers).toBe(true)

    const allYcoordsNumbers = nodes.every(n => typeof(n.y) === 'number')
    expect(allYcoordsNumbers).toBe(true)


    //console.log(nodes);
// running the layout results in nodes having fields: index, x, y, vx, vy


})

