import type { BorderSpec } from "../types/spec";

export const addBorder = (spec: BorderSpec | undefined, scene, parentState, bounds) => {

  if (spec) {
    scene.items[0].items.push({
      marktype: "rect",
      items: [
        {
          stroke: spec.stroke ?? "black",
          strokeWidth: spec.strokeWidth ?? 1,
          strokeOpacity: spec.strokeOpacity ?? 1,
          strokeDash: spec.strokeDash ?? [1, 0],

          x: 0,
          width: bounds.width,
          y: 0,
          height: bounds.height
        }
      ]
    });
  }

};
