const path = require('path');

module.exports = {
  entry: './src/main.ts',
  module: {
    rules: [
      {
        test: /\.tsx?$/,
        use: 'ts-loader',
        exclude: /node_modules/,
      },
    ],
  },
  resolve: {
    extensions: ['.tsx', '.ts', '.js'],
  },
  output: {
    filename: 'bundle.module.js',

  //      library: "NetworkPanorama",
    libraryTarget: 'umd',
    umdNamedDefine: true,
      globalObject: 'this',


    /* library:
      {
        "type": "module"
      },

     */
    path: path.resolve(__dirname, 'dist'),
  },
 // experiments: {
//    outputModule: true
 // }

};
