// N.B. must be applied before grouping, as acts on a non-nested array
const foldData = (data, spec) => {
    const result = [];
    for (const field of spec.fields) {
        for (const row of data) {
            result.push(Object.assign({ field, value: row[field] }, row));
        }
    }
    return result;
};
export { foldData };
//# sourceMappingURL=fold.js.map