import { importPajek } from "./importPajek";
// The Pajek format has many variations: http://vlado.fmf.uni-lj.si/pub/networks/pajek/doc/pajekman.pdf
// and http://www.stats.ox.ac.uk/~snijders/PajekIntro.pdf
// We currently support only a subset of Pajek files
export function importNetwork(spec) {
    if (spec.format === "pajek") {
        return importPajek(spec);
    }
}
//# sourceMappingURL=importNetwork.js.map