const connectedNodes = (state, selection, adjacency, spec) => {
    let nodes;
    if (spec.direction === "source") {
        nodes = selection.links.map(l => l.source);
    }
    else if (spec.direction === "target") {
        nodes = selection.links.map(l => l.target);
    }
    else {
        nodes = [...selection.links.map(l => l.source), ...selection.links.map(l => l.source)];
    }
    return { links: [], nodes };
};
export { connectedNodes };
//# sourceMappingURL=connectedNodes.js.map