const edgesBetween = (state, selection, adjacency, spec) => {
    const network = state[selection.network];
    const selection2 = state[spec.secondSelection];
    let links;
    if (spec.ignoreDirection) {
        links = network.links.filter(l => (selection.nodes.includes(l.source) && selection2.nodes.includes(l.target)) ||
            (selection2.nodes.includes(l.source) && selection.nodes.includes(l.target)));
    }
    else {
        links = network.links.filter(l => selection.nodes.includes(l.source) && selection.nodes.includes(l.target));
    }
    return { links: links, nodes: [] };
};
export { edgesBetween };
//# sourceMappingURL=edgesBetween.js.map