import type {FoldSpec} from "../types/data-transforms";

// N.B. must be applied before grouping, as acts on a non-nested array

const foldData = (data: any[], spec: FoldSpec) => {
    const result = [];
    for (const field of spec.fields){
        for (const row of data){
            result.push({field, value: row[field], ...row})
        }
    }
    return result;
}

export {foldData};

