import { unroll } from "./unroll";

test("can unroll", () => {

  const data = [
    {
      boys: [1, 2, 4],
      girls: [4, 5, 6]
    },
    {
      boys: [7, 8, 9],
      girls: [10, 11, 12]
    },
    {
      boys: [13, 14, 15],
      girls: [16, 17, 18]
    }
  ];


  const { boys, girls } = unroll(data, { fields: ["boys", "girls"] });

  expect(boys).toEqual([
    1, 2, 4,
    7, 8, 9,
    13, 14, 15
  ]);

  expect(girls).toEqual([
    4, 5, 6,
    10, 11, 12,
    16, 17, 18
  ]);
});
